MAV_drawInfo(3)

NAME
MAV_drawInfo - Drawing information.

LEVEL
Maverik Level 2

SYNTAX

 typedef struct {
  MAV_clipPlanes cp;
  MAV_viewParams vp;
  void *userdef;
} MAV_drawInfo;

DESCRIPTION
The drawing information data structure, MAV_drawInfo, is calculated in @mav_SMSDisplay and subsequently forms part of the information that is passed to rendering callbacks. The information consists of the view frustum's clipping planes cp, the viewing parameters vp, and, for advanced users, a user definable field userdef, to allow for application-specific data to be added to this structure.

The rendering callback for an object can make use of the information in this data structure to perform fine culling or level-of-detail processing, for example.